Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Zobrazit příspěvky

Tato sekce Vám umožňuje zobrazit všechny příspěvky tohoto uživatele. Prosím uvědomte si, že můžete vidět příspěvky pouze z oblastí Vám přístupných.


Témata - Jezza

Stran: [1] 2
1
Zdravim,

snad jsem umistil dotaz do spravneho fora. Pouzivam Kubuntu.

Chtel bych vyrobit skript, ktery mi pusti Konsoli, otevre v ni dalsi 2 karty - instance terminalu a v kazde z nich spusti nejaky skript. Tyto karty jeste prejmenuje na nejake popisnejsi jmena. Zjednodusene skript, kterym si rozjedu jednim prikazem kazde rano sve vyvojove prostredi do stavy abych mel vse, jak jsem zvykly. :)

Navete me nekdo spravnym smerem? Predem dik.

J.

2
Obecná podpora / Instalace konkretni verze baliku
« kdy: 05 Září 2016, 15:05:01 »
Zdravim,

chci nainstalovat na sve Kubuntu 16.04 verze baliku docker-engine 1.9.1. Narazim ale na problem:

Citace
sudo apt-get install docker-engine 1.9.1
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Pozn: vybírám „libraspell-ruby1.9.1“ pro regulární výraz „1.9.1“
Pozn: vybírám „libghc-presburger-prof-1.3.1-9019a“ pro regulární výraz „1.9.1“
Pozn: vybírám „libtioga-ruby1.9.1“ pro regulární výraz „1.9.1“
Pozn: vybírám „libhdfeos5-ruby1.9.1“ pro regulární výraz „1.9.1“
Pozn: vybírám „libqdbm-ruby1.9.1“ pro regulární výraz „1.9.1“
Pozn: vybírám „libhdfeos5-ruby1.9.1-dbg“ pro regulární výraz „1.9.1“
Pozn: vybírám „liberubis-ruby1.9.1“ pro regulární výraz „1.9.1“
Pozn: vybírám „libghc-reflection-dev-2.1.1.1-931be:i386“ pro regulární výraz „1.9.1“
Pozn: vybírám „irb1.9.1“ pro regulární výraz „1.9.1“
Pozn: vybírám „libxapian-ruby1.9.1“ pro regulární výraz „1.9.1“
Pozn: vybírám „libghc-bytes-dev-0.15.1-9c104:i386“ pro regulární výraz „1.9.1“
Pozn: vybírám „libhtree-ruby1.9.1“ pro regulární výraz „1.9.1“
Pozn: vybírám „libgrib-api-1.9.16“ pro regulární výraz „1.9.1“
Pozn: vybírám „notion-api-3-2014010901“ pro regulární výraz „1.9.1“
Pozn: vybírám „libmapscript-ruby1.9.1“ pro regulární výraz „1.9.1“
Pozn: vybírám „ruby1.9.1-dev“ pro regulární výraz „1.9.1“
Pozn: vybírám „libdpkg-ruby1.9.1“ pro regulární výraz „1.9.1“
Pozn: vybírám „libghc-reflection-prof-2.1.1.1-931be:i386“ pro regulární výraz „1.9.1“
Pozn: vybírám „xulrunner-1.9.1“ pro regulární výraz „1.9.1“
Pozn: vybírám „libestraier-ruby1.9.1“ pro regulární výraz „1.9.1“
Pozn: vybírám „libghc-presburger-dev-1.3.1-9019a“ pro regulární výraz „1.9.1“
Pozn: vybírám „libghc-bytes-prof-0.15.1-9c104:i386“ pro regulární výraz „1.9.1“
Pozn: vybírám „libstfl-ruby1.9.1“ pro regulární výraz „1.9.1“
Pozn: Vybírám „libghc-presburger-dev“ místo „libghc-presburger-dev-1.3.1-9019a“
Pozn: Vybírám „libghc-presburger-prof“ místo „libghc-presburger-prof-1.3.1-9019a“
Pozn: Vybírám „ruby-debian“ místo „libdpkg-ruby1.9.1“
Pozn: Vybírám „ruby-erubis“ místo „liberubis-ruby1.9.1“
Pozn: Vybírám „ruby-hyperestraier“ místo „libestraier-ruby1.9.1“
Pozn: Vybírám „ruby-mapscript“ místo „libmapscript-ruby1.9.1“
Pozn: Vybírám „ruby-qdbm“ místo „libqdbm-ruby1.9.1“
Pozn: Vybírám „libghc-bytes-dev:i386“ místo „libghc-bytes-dev-0.15.1-9c104:i386“
Pozn: Vybírám „libghc-bytes-prof:i386“ místo „libghc-bytes-prof-0.15.1-9c104:i386“
Pozn: Vybírám „libghc-reflection-dev:i386“ místo „libghc-reflection-dev-2.1.1.1-931be:i386“
Pozn: Vybírám „libghc-reflection-prof:i386“ místo „libghc-reflection-prof-2.1.1.1-931be:i386“
Pozn: Vybírám „notion“ místo „notion-api-3-2014010901“
Některé balíky nemohly být instalovány. To může znamenat, že požadujete
nemožnou situaci, nebo, pokud používáte nestabilní distribuci, že
vyžadované balíky ještě nebyly vytvořeny nebo přesunuty z Příchozí fronty.
Následující informace vám mohou pomoci vyřešit tuto situaci:

Následující balíky mají nesplněné závislosti:
 libghc-bytes-dev:i386 : Závisí na: libghc-base-dev-4.8.2.0-a3ce8:i386
                         Závisí na: libghc-binary-dev-0.7.5.0-35c4b:i386
                         Závisí na: libghc-bytestring-dev-0.10.6.0-89a6f:i386
                         Závisí na: libghc-cereal-dev-0.4.1.1-eb6c6:i386
                         Závisí na: libghc-containers-dev-0.5.6.2-5879d:i386
                         Závisí na: libghc-hashable-dev-1.2.3.3-bc42a:i386
                         Závisí na: libghc-mtl-dev-2.2.1-05005:i386
                         Závisí na: libghc-scientific-dev-0.3.4.4-e373a:i386
                         Závisí na: libghc-text-dev-1.2.2.0-5a148:i386
                         Závisí na: libghc-time-dev-1.5.0.1-f2449:i386
                         Závisí na: libghc-transformers-dev-0.4.2.0-a5bbd:i386
                         Závisí na: libghc-transformers-compat-dev-0.4.0.4-8aa40:i386
                         Závisí na: libghc-unordered-containers-dev-0.2.5.1-2efe5:i386
                         Závisí na: libghc-void-dev-0.7.1-1dcce:i386
 libghc-bytes-prof:i386 : Závisí na: libghc-base-prof-4.8.2.0-a3ce8:i386
                          Závisí na: libghc-binary-prof-0.7.5.0-35c4b:i386
                          Závisí na: libghc-bytestring-prof-0.10.6.0-89a6f:i386
                          Závisí na: libghc-cereal-prof-0.4.1.1-eb6c6:i386
                          Závisí na: libghc-containers-prof-0.5.6.2-5879d:i386
                          Závisí na: libghc-hashable-prof-1.2.3.3-bc42a:i386
                          Závisí na: libghc-mtl-prof-2.2.1-05005:i386
                          Závisí na: libghc-scientific-prof-0.3.4.4-e373a:i386
                          Závisí na: libghc-text-prof-1.2.2.0-5a148:i386
                          Závisí na: libghc-time-prof-1.5.0.1-f2449:i386
                          Závisí na: libghc-transformers-prof-0.4.2.0-a5bbd:i386
                          Závisí na: libghc-transformers-compat-prof-0.4.0.4-8aa40:i386
                          Závisí na: libghc-unordered-containers-prof-0.2.5.1-2efe5:i386
                          Závisí na: libghc-void-prof-0.7.1-1dcce:i386
 libghc-reflection-dev:i386 : Závisí na: libghc-base-dev-4.8.2.0-a3ce8:i386
                              Závisí na: libghc-template-haskell-dev-2.10.0.0-519a3:i386
 libghc-reflection-prof:i386 : Závisí na: libghc-base-prof-4.8.2.0-a3ce8:i386
                               Závisí na: libghc-template-haskell-prof-2.10.0.0-519a3:i386
E: Nelze opravit problémy, některé balíky držíte v porouchaném stavu.

Lze nějakým způsobem napravit závislosti a instalaci dokoncit?

Predem diky.

J.

3
Obecná podpora / Ark, archivy s heslem
« kdy: 17 Března 2011, 14:07:08 »
Taky mate problem, ze vam Ark nerozbaluje soubory s heslem. Konkretne jsem problem zaznamenal s archivy rar, ktere byly zaheslovane. Vubec se mi neobjevi dialog pro zadani hesla. Musim je rozbalovat rucne v konzilo pres unrar...

Mam Kubuntu 10.10 64bit verzi.

Poradili jste si s tim nejak?

4
Hry a zábava / Atomic Bomberman [vyřešeno]
« kdy: 10 Března 2011, 12:56:44 »
Zdravim,

chtel bych rozchodit pro obcasne pobaveni s kolegy Atomic Bombermana. Originalni a puvodni verzi.

funguje vam to nekomu na novem Kubuntu 10.10? Pokud ano, muzete poradit, jak to pres wine ci jinak rozchodit? Pripadne se podelit o nejakou funkcni verzi?

Diky. ???

5
Zdravim,

chtel bych tu shromadit vase zkusenosti s ruznymi textovymi editory. Pouzivam nejcasteji Kate a kombunuji ho s Oracle SQL Developerem, protoze programuji prevazne PL/SQL pro Oracle DB. Jedna vec me v obou chyby a to je blokove vkladani a oznacovani. Resp. Kate blokovy vyber podoporuje, ale ne uz vkladani, teda pokud jsem patral spravne. Kazdopadne pro windows me celkem zaujal. Tak copak mi doporucite ci nedoporucite...

Diky.

Jezza

6
Obecná podpora / ubuntu neswapuje
« kdy: 20 Října 2010, 14:16:44 »
Zdravim,
pri instalaci jsem nastavil swap na 2GB a vse naistaloval. Dnes po nejake dobe pouzivani jsem zjistitil, ze mi asi system neswapuje... Je to tak? Posilam vypis z free prikazu.
Kód: [Vybrat]
user12@pc12345:~$ free
             total       used       free     shared    buffers     cached
Mem:       2061568    1937696     123872          0      75516     858228
-/+ buffers/cache:    1003952    1057616
Swap:      1648632          0    1648632


Nevite, co s tim?

7
Internet a sítě / VPN založena na L2TP over IPSec
« kdy: 03 Září 2010, 01:07:42 »
V nasi firme mame VPN založenu na L2TP over IPSec. Pouzivma Ubuntu 10.04 a nainstaloval jsem si openvpn a soustim ho timto prikazem:
Kód: [Vybrat]
sudo openvpn /etc/openvpn/config_z_firmy.ovpna po zadani jmena a hesla probehne spojeni a posledno hlaskou ve vypisu, kdyz prikaz stale bezi je:
Kód: [Vybrat]
Fri Sep  3 01:05:52 2010 us=496614 Initialization Sequence Completed
Pokud ale zadam do prohlizece nejakou intranetovou adresu, nenacte se. Netusite na co zapominam?

8
Pracovní prostředí / Nvidia - nepamatuje si rozliseni
« kdy: 05 Srpna 2010, 20:23:35 »
Mam Kubuntu 8.04 a grafickou kartu NVIDIA Go 6200 a pres VGA kabel pripojuji svuj notebook k monitoru LG W2243T. Pokazde po prihlaseni musim znovu a znovu zadavat plne FULL HD rozliseni, jelikoz mi monitor naskakuje v nejakem mensim. Pokazde kdyz to v nvidia-settings nastavim, prestoze dam ulozit nastaveni do X konfiguraku, se to po restartu zase nenastavi. Netusite, co je za problem? Pouzivam ovladace z repositaru. Novejsi Kubuntu se mi instalovat zatim nechce, mam stary jednojadrovy notebook. Predem diky za rady.

9
Archiv / Adobe Acrobat pro 64bit Kubuntu 10.04 ci jeho alternativa
« kdy: 01 Června 2010, 18:48:03 »
Ne ???dari se mi sehnat Adobe Reader pro 64 bitove Kubuntu 10.04...nevite o nem neco?

Proc shanim A. Reader?
Protoze jsem nenarazil na jiny pdf prohlizec, ktery by umel vyhledavat ve vice jak jednom pdf zaroven...
Nevite o nejakem?
Predem dik...

10
MAm problem v Kubuntu 9.10, v Thunderbirdu mam ve zprave odkaz a chci na nej kliknout, aby se otevrel ve Firefoxu, ale nenastane zadna akce po kliknuti... Je dost nepohodlne kazdy odkaz zkopirovat a prenaset do Firefoxu. Zkousel jsem kontrolovat nastaveni Preferovanych programu, ale nepomohlo to...Nevite, kde je problem...

11
Multimédia / Prestal jit zvuk v (s)mplayeru a ve firefoxu na youtube
« kdy: 04 Března 2010, 12:02:13 »
Zdravim, mam Kubuntu 9.10 amd64 verzi. Nedavno nainstalovane, vcera mi ale najednou prestalo fungovat prehravani zvuku ve u videa v mplayeru a smplayeru a zaroven s tim mi ani youtube nehraje zvuk, ale jen obraz. Zkusil jsem smazat konfiguraky mplayeru...i jeho preinstalaci. Nevite, co s tim?

12
Pracovní prostředí / KDE 4 - spravce uloh a bookmarks
« kdy: 01 Března 2010, 13:56:32 »
Zdravim (k)ubuntaky!

Mam 2 dotazy ohledne nastaveni hlavniho panelu v KDE 4.

Mam panel napravo a mam ho uzky tak akorat aby byly citelne hodiny. Da se nastavic v Task Baru, aby tam nebyly mini ikonky a necitelny nazev (pri teto sirce panelu), ale abych tam mel jen ikonky a byly vetsi? A nebo nejlepe abych mel ve sloupecku vedle sebe prave bezici aplikace a ekvivalent "Quick Launch" z Win.

Druhy dotaz se tyka take panelu a to konkretne toho, jestli nevite, jak na panel dostat widget, ktery by mi nabidl ty slozky, ktere mam v dolphinu vlevo v okne. Jedna se v podstate o bookmarks...

Diky a sry za lame dotaz...

 ???

13
Snad zde neni podobna diskuze, nasel jsem jen diskuzi o ubuntu friendly noteboocich.

Chci si zakoupit novy stolni pocitac, vzhledem ke sve prilezitostne vasni ve hrach a softwaru do Adobe se nevyhnu dual bootu. ALe jinak vetsinu casu travim v Kubuntu. Proto bych me zajimaly vase zkusenosti a poznatky ohledne hardwaru ve vztahu k ubuntu i obecne...

Nejvejvetsim otaznikem je samozrejme:

AMD vs. INTEL

a

ATI vs. NVIDIA

a pote dvou, tri, ctyrjadro...

Podelite se se mnou o sve zkusenosti?


Zatim jsem cetl o tom, ze ATI je nyni na tom lepe s vykonem, ale zase ma mene propracovane ovladace pro linux.

Googlil jsem nejake testy...ale benchmarky jsou jedna vec a realne zkusenosti uzivatelu jina.

14
Ubuntu Server / webmin a swat na serveru bez X
« kdy: 25 Listopadu 2009, 10:39:30 »
Mam rozjety Ubuntu server. Chtel bych ho administrovat pomoci webminu a sambu pomoci swatu. Ale nemam na serveru graficke prostredi. Pujde tato administracep rovadet vzdalene z jineho PC? A pokud ano, tak jak. Nebo mam nainstalovat gnome? Prijde mi to ale na serveru zbytecne.

15
Ubuntu Server / Ubuntu Server jako nahrada Novellu
« kdy: 17 Listopadu 2009, 02:31:21 »
Chtel bych nahradit Novell server, serverem Ubuntu, protoze stary uz dobiha a nova licence je draha vzhledem k tomu, ze tento novy server by mel zatim pouze zastavat funkci file serveru pro ostatni windowsovske stanice.

Bude problem nastavit stejna prava pro uzivatele, jako byla doted na Novell fileserveru? Zrejme se to bude delat pres SAmbu jaksi? Procital jsem Samba navod na wiki, ale prijde mi, ze to jsou jen takove jednoduche pripady... Nevite nekdo o nejakem prijemne navodu, jak se s tim poprat? Sambu jsem nastavoval pouze na notebooku, kvuli sdileni s ostatnimi win stanicemi v siti.

Predem diky.

16
Pracovní prostředí / nvidia nview - jak na nej?
« kdy: 12 Října 2009, 20:25:28 »
Chtel bych si v Kubuntu 8.04 rozchodit Nview, konkretne  mi jde o Gridlines. Mam ovladac na svou jiz postarsi nvidii z nesvobodnych ovladacu hardwaru. V nastave nvidia serveru nic takoveho nikde nevidim. Mate s tim nekdo zkusenost?

17
Obecná podpora / wwwsqldesigner a mysql
« kdy: 29 Září 2009, 13:09:49 »
Mam takovyto problem, importuji do sve databaze kod vygenerovany wwwSQLdesignerem() a hazi me to chybu 1064:
Kód: [Vybrat]
mysql> CREATE TABLE `CveCriterions` (
    -> `id` INTEGER NOT NULL AUTO_INCREMENT ,
    -> `operator` CHAR(2) NOT NULL ,
    -> `version` VARCHAR NOT NULL ,
    -> `pkg_id` INTEGER NOT NULL ,
    -> `cve_id` INTEGER NOT NULL ,
    -> `osGroup_id` INTEGER NOT NULL ,
    -> `archGroup_id` INTEGER NOT NULL ,
    -> `cveCriterion_id` INTEGER NOT NULL ,
    -> PRIMARY KEY (`id`)
    -> );
ERROR 1064 (42000): You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'NOT NULL ,
`pkg_id` INTEGER NOT NULL ,
`cve_id` INTEGER NOT NULL ,
`osGroup_id` ' at line 4
mysql>                   

Mam verzi mysql serveru: 5.0.51a-3ubuntu5.4 (Ubuntu)

Zkousel jsem googlit, podobne problemy jsem nasel u lidi, kteri meli starou 4 verzi mysql...Nevite, co s tim? Mozna je to jen mou nezkousenosti, ze nevidim tu chybu v syntaxi...

18
Obecná podpora / Sifrovani souboru
« kdy: 25 Září 2009, 17:29:07 »
Mam soubor, do ktereho si zapisuji ruzna uzivatelska jmena, nekdy i hesla k uctum na ruznych webech a pripradne treba i nejake jine poznamky, ktere bych rad chranil heslem. Doposavad jsem to delal dosti laicky pres soupor open office chraneny heslem. Jak to udelat nejak lepe, aby se do tohoto souboru dalo lehce pres nejake heslo dostat, ale zaroven by sifrovani bylo dosti bezpecne?

Dalsi dotaz mam, co si myslite o ukladani si hesel ve Firefoxu? Bezpecne, nebezpecne???

19
Internet a sítě / Samba prava + prava souboru
« kdy: 09 Září 2009, 12:15:07 »
Mozna to patri spis do obecne podpory, ale kdyz se to tyka i samby, dal jsem to do siti.

Asi spatne chapu system prav v linuxu.

Presne podle navodu na wikine, jak rozchodit sambu, tak jsem si nastavil u slozky tatka, kterou chci sdilet prava na 777. Pak jsem nakonfiguroval dle navodu sambu:
Kód: [Vybrat]
[Tata]
  comment = Group Folder
  path = /home/data/tatka
  public = yes
  writable = no
  valid users = Tata
  create mask = 0700
  directory mask = 0700
  force user = nobody
  force group = nogroup

A predstavoval jsem si ze z windows se uzivatel Tata, pripoji k dane slozce a bude z ni moci stahovat. Coz sice funguje. Ale prekvapilo me, ze kdyz se pripojim na server uzivatelem treba mamka :), ktery je normalni uzivatelem. Tak muze cokoliv v teto sdilene slozce delat. Coz si myslim je zpusobeno nastavenim prav na 777. Je nutne mit nastavena takova prava u sdilene slozky? Predstavoval bych si to tak, ze tuto slozku muze primo ze serveru upravovat pouze admin. Velky problem to neni, protoze uzivatele s pristupem na sambu z stejne sve ucty na serveru maji bez hesla...ale zajimalo by me, jestli je tedy nutne mit prava na 777.

Dalsi dotaz se tyka samotnych prav, ty jejich 3 sekce se vztahuji k owner, group a user. Neni mi ale jasne na jakou group a jakeho usera se to vztahuje?

Asi je to dost lame dotaz...ale myslel jsem, ze tomu rozumim, ale tenhle problem mi ukazal ze ocividne ne.   :(

20
Obecná podpora / Najednou o 4GB mista mene
« kdy: 24 Července 2009, 06:43:25 »
Vcera jsem pracoval se svym ntb na Kubuntu HH a mel jsem 8GB volnych na disku, dnes mam najednou 4GB a to jsem vsechna data, ktera jsem postahoval vcera vecer hned presouval na datovy disk...prosel jsem vsechny sve adresare v home a nenasel nic, co by tam nepatrilo...

Nestalo se vam to taky nekomu?

Zkousel jsem promazat cache apt-getu, ale jak promazat pripadne ostatni cache systemu nevim...


21
Internet a sítě / wget - stazeni jen souboru s urcitou priponou
« kdy: 04 Července 2009, 13:55:14 »
Chtel bych stahnout z webu jen vsechny xml soubory, na nez je odkazovano napriklad na teto strance:

http://www.suse.de/~meissner/oval/

myslel jsem, ze by to slo napriklad takto:

Kód: [Vybrat]
wget http://www.suse.de/~meissner/oval/*.xml
Ale to nefunguje. Vite, jak by se to dalo udelat? Chtel bych to vyuzit v Perlovem skriptu, takze nevim, jestli to jde nejak lepe v perlu nez takhle externim spustenim wgetu...


22
Obecná podpora / Krusader - pomaly ftp pristup
« kdy: 20 Května 2009, 18:32:38 »
Zdravim, mam problem s Krusaderem. Pouzivam ho na Kubuntu 8.04 a kdyz pristupuju na kamaradovo ftp tak vse desne trva, pri uploadu souboru je mezi jednotlivymi soubory strasne dlouha prodleva. Pri otevreni adresare ci jinem pohybu v adresarove strukture je vse s vice jak desetivterinovym cekanim. Myslel jsem, ze je to serverem ci siti, ale kdyz se pripojim na toto ftp pres Total Commander z Widli, tak vse jde rychle a bez prodlev... Nemate nekdy taky takove zkusenosti...?

23
Příkazový řádek a programování pro GNU/Linux / Perl IDE
« kdy: 05 Května 2009, 13:39:29 »
Zdravim,

ucim se programovat v Perlu a zatim jako prostredi pouziva Kate.

Doporucili byste mi nejake dobre Perl IDE pro linux (kubuntu)?


24
Obecná podpora / vmware autostart
« kdy: 23 Dubna 2009, 10:59:27 »
Zdravim,
mam dotaz ohledne vmware serveru. Mam ho naistalovany a ted ho chci pouzivat jen pod jednim uzivatelem, jak si mohu nastavit u toho druheho, aby se nespoustela ta hromada procesu s vmwarem spojenych...?

25
Příkazový řádek a programování pro GNU/Linux / Perl a Xpath
« kdy: 14 Dubna 2009, 16:49:16 »
Mam takovyto xml soubor:

Kód: [Vybrat]
<?xml version='1.0' encoding='UTF-8'?>
<oval_definitions >
  <definitions>
<definition id="oval:com.redhat.rhsa:def:20090256" version="302" class="patch">
<metadata>
<title>RHSA-2009:0256: firefox security update (Critical)
</title>
<affected>
<platform>Red Hat Enterprise Linux 4</platform>
<platform>Red Hat Enterprise Linux 5</platform>
</affected>
<reference source="RHSA" ref_id="RHSA-2009:0256-01" ref_url="https://rhn.redhat.com/errata/RHSA-2009-0256.html" />
<description>Mozilla Firefox is an open source Web browser.

Several flaws were found in the processing of malformed web content. A web
page containing malicious content could cause Firefox to crash or,
potentially, execute arbitrary code as the user running Firefox.
(CVE-2009-0352, CVE-2009-0353, CVE-2009-0356)

</description>
<advisory from="secalert@redhat.com">

<severity>Critical</severity>

<rights>Copyright 2009 Red Hat, Inc.</rights>
<issued date="2009-02-04" />
<updated date="2009-02-04" />
<cve href="http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0352">CVE-2009-0352</cve>
<cve href="http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0353">CVE-2009-0353</cve>
</advisory>
</metadata>
<criteria operator="OR">

<criteria operator="AND">
<criterion test_ref="oval:com.redhat.rhsa:tst:20090003001" comment="Red Hat Enterprise Linux 5 is installed" />
<criteria operator="OR">

<criteria operator="AND">
<criterion test_ref="oval:com.redhat.rhsa:tst:20090256004" comment="xulrunner-devel-unstable is earlier than 0:1.9.0.6-1.el5" /><criterion test_ref="oval:com.redhat.rhsa:tst:20090256005" comment="xulrunner-devel-unstable is signed with Red Hat redhatrelease key" />

</criteria>
<criteria operator="AND">
<criterion test_ref="oval:com.redhat.rhsa:tst:20090256002" comment="xulrunner is earlier than 0:1.9.0.6-1.el5" /><criterion test_ref="oval:com.redhat.rhsa:tst:20090256003" comment="xulrunner is signed with Red Hat redhatrelease key" />

</criteria>
<criteria operator="AND">
<criterion test_ref="oval:com.redhat.rhsa:tst:20090256006" comment="xulrunner-devel is earlier than 0:1.9.0.6-1.el5" /><criterion test_ref="oval:com.redhat.rhsa:tst:20090256007" comment="xulrunner-devel is signed with Red Hat redhatrelease key" />

</criteria>
<criteria operator="AND">
<criterion test_ref="oval:com.redhat.rhsa:tst:20090256008" comment="firefox is earlier than 0:3.0.6-1.el5" /><criterion test_ref="oval:com.redhat.rhsa:tst:20090256009" comment="firefox is signed with Red Hat redhatrelease key" />

</criteria>
<criteria operator="AND">
<criterion test_ref="oval:com.redhat.rhsa:tst:20090256012" comment="nss is earlier than 0:3.12.2.0-4.el5" /><criterion test_ref="oval:com.redhat.rhsa:tst:20090256013" comment="nss is signed with Red Hat redhatrelease key" />

</criteria>
<criteria operator="AND">
<criterion test_ref="oval:com.redhat.rhsa:tst:20090256010" comment="nss-tools is earlier than 0:3.12.2.0-4.el5" /><criterion test_ref="oval:com.redhat.rhsa:tst:20090256011" comment="nss-tools is signed with Red Hat redhatrelease key" />

</criteria>
<criteria operator="AND">
<criterion test_ref="oval:com.redhat.rhsa:tst:20090256016" comment="nss-devel is earlier than 0:3.12.2.0-4.el5" /><criterion test_ref="oval:com.redhat.rhsa:tst:20090256017" comment="nss-devel is signed with Red Hat redhatrelease key" />

</criteria>
<criteria operator="AND">
<criterion test_ref="oval:com.redhat.rhsa:tst:20090256014" comment="nss-pkcs11-devel is earlier than 0:3.12.2.0-4.el5" /><criterion test_ref="oval:com.redhat.rhsa:tst:20090256015" comment="nss-pkcs11-devel is signed with Red Hat redhatrelease key" />

</criteria>

</criteria>

</criteria>
<criteria operator="AND">
<criterion test_ref="oval:com.redhat.rhsa:tst:20090004019" comment="Red Hat Enterprise Linux 4 is installed" />
<criteria operator="OR">

<criteria operator="AND">
<criterion test_ref="oval:com.redhat.rhsa:tst:20090256019" comment="firefox is earlier than 0:3.0.6-1.el4" /><criterion test_ref="oval:com.redhat.rhsa:tst:20090256020" comment="firefox is signed with Red Hat master key" />

</criteria>
<criteria operator="AND">
<criterion test_ref="oval:com.redhat.rhsa:tst:20090256023" comment="nss is earlier than 0:3.12.2.0-3.el4" /><criterion test_ref="oval:com.redhat.rhsa:tst:20090256024" comment="nss is signed with Red Hat master key" />

</criteria>
<criteria operator="AND">
<criterion test_ref="oval:com.redhat.rhsa:tst:20090256025" comment="nss-tools is earlier than 0:3.12.2.0-3.el4" /><criterion test_ref="oval:com.redhat.rhsa:tst:20090256026" comment="nss-tools is signed with Red Hat master key" />

</criteria>
<criteria operator="AND">
<criterion test_ref="oval:com.redhat.rhsa:tst:20090256021" comment="nss-devel is earlier than 0:3.12.2.0-3.el4" /><criterion test_ref="oval:com.redhat.rhsa:tst:20090256022" comment="nss-devel is signed with Red Hat master key" />

</criteria>

</criteria>

</criteria>

</criteria>

</definition>

</definitions>

</oval_definitions>


Chci z nej dostat urcita data a pouzivam na to skript:

Kód: [Vybrat]
use strict;
use DBI;
use XML::XPath;

my $xp = XML::XPath->new(filename => 'def.xml');

foreach my $row ($xp->findnodes('//oval_definitions/definitions/definition/metadata')) {
  print "title = ";
    print $row->find('title')->string_value;
 
    foreach my $row ($xp->findnodes('//oval_definitions/definitions/definition/metadata/affected')) {
  print "platform = ";
    print $row->find('platform')->string_value; ## jak na vice platfotm?    Jak ulozit hodnotu tagu do promente, jak vypsat atribut tagu?
   
    }
}


Potreboval bych dostat informace z tagu platform, ktery je v jedne urovni vicekrat.

Dale bych se chtel zeptat, jak ulozit do promenne tato ziskana data misto toho, ze se tisknout...zkousel jsem to ruzne, ale pise by to chyby.

Posledni dotaz je, lze ziska nejen hodnotu tagu, ale i jeho atributy, jako je treba i tagu <definition> comment a id?

Predem diky

Stran: [1] 2

Provoz zaštiťuje spolek OpenAlt.